For the complete documentation index, see llms.txt. This page is also available as Markdown.

CashMachines

Manage cash machines.

Symitar eDocs References: Coming soon.

Operations

contentsReport

post

Generates a report on the contents of the cash machine.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
Responses
200

Successful operation.

application/json
post/contentsReport
POST /nexum/627/2022.01/cashmachines/contentsReport HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "contentsReport"
}

dispense

post

Dispenses cash from the cash machine.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
duressFlagbooleanOptional
Responses
200

Successful operation.

application/json
post/dispense
POST /nexum/627/2022.01/cashmachines/dispense HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 1,
  "requestedDistribution": {},
  "duressFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "dispense"
}

startDeposit

post

Initiates the deposit process at the cash machine.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
Responses
200

Successful operation.

application/json
post/startDeposit
POST /nexum/627/2022.01/cashmachines/startDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "startDeposit"
}

continueDeposit

post

Allows the cash machine to continue a deposit process.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerRequired
Responses
200

Successful operation.

application/json
post/continueDeposit
POST /nexum/627/2022.01/cashmachines/continueDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "timeout": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "continueDeposit"
}

acceptDeposit

post

Allows the cash machine to accept a deposit.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerRequired
Responses
200

Successful operation.

application/json
post/acceptDeposit
POST /nexum/627/2022.01/cashmachines/acceptDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "timeout": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "acceptDeposit"
}

rejectDeposit

post

Rejects a deposit at the cash machine.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
Responses
200

Successful operation.

application/json
post/rejectDeposit
POST /nexum/627/2022.01/cashmachines/rejectDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 173

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "timeout": 1,
  "retainedDistribution": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "rejectDeposit"
}

cassetteReport

post

Generates a report on the status of cassettes in the cash machine.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
Responses
200

Successful operation.

application/json
cassetteCountintegerOptional
post/cassetteReport
POST /nexum/627/2022.01/cashmachines/cassetteReport HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "cassetteReport"
}

cassetteAdjustment

post

Adjusts the cassettes in the cash machine.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
cassetteCountintegerOptional
coinAmountintegerOptional
Responses
200

Successful operation.

application/json
post/cassetteAdjustment
POST /nexum/627/2022.01/cashmachines/cassetteAdjustment HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 207

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 1,
  "cassetteCount": 1,
  "cassettes": [],
  "coinAmount": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "cassetteAdjustment"
}

remoteDispense

post

Dispenses cash remotely, often initiated through an app or online banking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
duressFlagbooleanOptional
Responses
200

Successful operation.

application/json
post/remoteDispense
POST /nexum/627/2022.01/cashmachines/remoteDispense HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 1,
  "requestedDistribution": {},
  "duressFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "remoteDispense"
}

remoteTransactionInquiry

post

Inquires about the status of a remote transaction initiated via an app or online banking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
tranTypestringOptional
timeoutintegerOptional
remoteTransactionIdintegerOptional
pinstringOptional
Responses
200

Successful operation.

application/json
post/remoteTransactionInquiry
POST /nexum/627/2022.01/cashmachines/remoteTransactionInquiry HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 1,
  "timeout": 1,
  "remoteTransactionId": 1,
  "pin": "example-value",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "remoteTransactionInquiry"
}

remoteTransactionCancel

post

Cancels a remote transaction initiated via an app or online banking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
tranTypestringOptional
timeoutintegerOptional
remoteTransactionIdintegerOptional
pinstringOptional
Responses
200

Successful operation.

application/json
post/remoteTransactionCancel
POST /nexum/627/2022.01/cashmachines/remoteTransactionCancel HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 1,
  "timeout": 1,
  "remoteTransactionId": 1,
  "pin": "example-value",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "remoteTransactionCancel"
}

remoteTransactionComplete

post

Completes a remote transaction initiated via an app or online banking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
tranTypestringOptional
timeoutintegerOptional
remoteTransactionIdintegerOptional
pinstringOptional
Responses
200

Successful operation.

application/json
post/remoteTransactionComplete
POST /nexum/627/2022.01/cashmachines/remoteTransactionComplete HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 1,
  "timeout": 1,
  "remoteTransactionId": 1,
  "pin": "example-value",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "remoteTransactionComplete"
}

remoteDeposit

post

Facilitates deposit remotely, usually via an app or online banking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
timeoutintegerOptional
Responses
200

Successful operation.

application/json
post/remoteDeposit
POST /nexum/627/2022.01/cashmachines/remoteDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "remoteDeposit"
}

Last updated

Was this helpful?